package com.fr.plugin.third.party.jsdjche.config;

import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.plugin.context.PluginContext;
import com.fr.plugin.observer.inner.AbstractPluginLifecycleMonitor;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.stable.fun.Authorize;

/**
 * 配置信息初始化
 */
@EnableMetrics
@Authorize(callSignKey = "com.fr.plugin.third.party.jsdjche")
public class DataConfigInitializeMonitor extends AbstractPluginLifecycleMonitor {
    @Override
    @Focus(id = "com.fr.plugin.third.party.jsdjche", text = "plugin-jsdjche", source = Original.PLUGIN)
    public void afterRun(PluginContext pluginContext) {
        CustomDataConfig.getInstance();
    }

    @Override
    public void beforeStop(PluginContext pluginContext) {

    }
}