package com.fr.plugin.third.party.jsdjche.data;

import com.fr.base.TableData;
import com.fr.data.AbstractParameterTableData;
import com.fr.general.data.DataModel;
import com.fr.script.Calculator;

public class CustomHttpTableData extends AbstractParameterTableData {
    @Override
    public DataModel createDataModel(Calculator calculator) {
        return createDataModel(calculator, TableData.RESULT_ALL);
    }

    @Override
    public DataModel createDataModel(Calculator calculator, int rowCount) {
        return new CustomHttpDataModel(rowCount);
    }
}
