package com.fr.plugin.third.party.jsdjche.data;


import com.fr.base.TableData;
import com.fr.design.data.tabledata.tabledatapane.AbstractTableDataPane;
import com.fr.design.fun.ServerTableDataDefineProvider;
import com.fr.design.fun.impl.AbstractTableDataDefineProvider;
import com.fr.design.i18n.Toolkit;


public class CustomHttpTableDataDefine extends AbstractTableDataDefineProvider implements ServerTableDataDefineProvider {

    @Override
    public int currentAPILevel() {
        return CURRENT_LEVEL;
    }

    @Override
    public Class<? extends TableData> classForTableData() {
        return CustomHttpTableData.class;
    }

    @Override
    public Class<? extends TableData> classForInitTableData() {
        return CustomHttpTableData.class;
    }

    @Override
    public Class<? extends AbstractTableDataPane> appearanceForTableData() {

        return CustomHttpTableDataPane.class;
    }

    @Override
    public String nameForTableData() {
        return Toolkit.i18nText("自定义数据集");
    }

    @Override
    public String prefixForTableData() {
        return "custom_data";
    }

    @Override
    public String iconPathForTableData() {
        return "";
    }


}