package com.fr.plugin.third.party.jsdjche.data;

import java.util.ArrayList;
import java.util.List;

/**
 * 数据集数据
 */
public class DatasetData {
    private String name;
    private List<String> columns;
    private List<List<Object>> values;

    public DatasetData() {
        columns = new ArrayList<String>();
        values = new ArrayList<List<Object>>();
    }

    /**
     * 获取表名
     * @return 表名
     */
    public String getName() {
        return this.name;
    }

    /**
     * 设置表名
     * @param name 表名
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取列名
     * @return 列名
     */
    public List<String> getColumns() {
        return this.columns;
    }

    /**
     * 设置列名
     * @param columns 列名
     */
    public void setColumns(List<String> columns) {
        this.columns = columns;
    }

    /**
     * 获取表数据
     * @return 表数据
     */
    public List<List<Object>> getValues() {
        return this.values;
    }

    /**
     * 设置表数据
     * @param values
     */
    public void setValues(List<List<Object>> values) {
        this.values = values;
    }

}
