package com.fr.plugin.third.party.jsdjche.data;

import com.fr.decision.fun.impl.AbstractUniversalServerTableDataProvider;
import com.fr.json.JSONObject;
import com.fr.web.struct.Atom;
import com.fr.web.struct.Component;
import com.fr.web.struct.browser.RequestClient;
import com.fr.web.struct.category.ParserType;
import com.fr.web.struct.category.ScriptPath;

public class CustomUniversalServerTableDataProvider extends AbstractUniversalServerTableDataProvider<CustomHttpTableData> {
    @Override
    public Class classForTableData() {
        return CustomHttpTableData.class;
    }

    @Override
    public String nameForTableData() {
        return "custom_data";
    }

    @Override
    public JSONObject serialize(CustomHttpTableData data) {
        //bean.setParameters(parameterBeans);
        //return JSONObject.mapFrom(bean);
        return new JSONObject();
    }

    @Override
    public CustomHttpTableData deserialize(CustomHttpTableData data, JSONObject config ) {
        CustomHttpTableData dataSet = new CustomHttpTableData();
        return dataSet;
    }

    @Override
    public Atom client() {
        return new Component(){
            @Override
            public ScriptPath script(RequestClient client ) {
                return ScriptPath.build("com/fr/plugin/third/party/jsdjche/web/tabledata.js", ParserType.DYNAMIC);
            }
        };
    }
}